﻿namespace AdventOfCode.Level12
{
    public static partial class Level12
    {
        private static class Input
        {
            public const string DemoInitialState = "#..#.#..##......###...###";
            public static readonly string[] DemoRules = new string[]
            { //"LLCRR N"
			"...## #",
            "..#.. #",
            ".#... #",
            ".#.#. #",
            ".#.## #",
            ".##.. #",
            ".#### #",
            "#.#.# #",
            "#.### #",
            "##.#. #",
            "##.## #",
            "###.. #",
            "###.# #",
            "####. #"
            };

            public const string InitialState = "#.##.##.##.##.......###..####..#....#...#.##...##.#.####...#..##..###...##.#..#.##.#.#.#.#..####..#";
            public static readonly string[] Rules = new string[]
            { //"LLCRR N"
            "..### .",
            "##..# #",
            "#..## .",
            ".#..# .",
            "#.##. .",
            "#.... .",
            "##... #",
            "#...# .",
            "###.# #",
            "##.## .",
            "....# .",
            "..##. #",
            "..#.. .",
            "##.#. .",
            ".##.# #",
            "#..#. #",
            ".##.. #",
            "###.. #",
            ".###. #",
            "##### #",
            "####. .",
            ".#.#. .",
            "...#. #",
            "#.### .",
            ".#... #",
            ".#### .",
            "#.#.# #",
            "...## .",
            "..... .",
            ".#.## #",
            "..#.# #",
            "#.#.. #"
            };
        }
    }
}